Create a space

Base URL
https://{kibana_url}
  • POST /api/spaces/space
Auth

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

_reserved boolean
color string

The hexadecimal color code used in the space avatar. By default, the color is automatically generated from the space name.

description string

A description for the space.

disabledFeatures string[] · default: []
id string required

The space ID that is part of the Kibana URL when inside the space. Space IDs are limited to lowercase alphanumeric, underscore, and hyphen characters (a-z, 0-9, _, and -). You are cannot change the ID with the update operation.

imageUrl string

The data-URL encoded image to display in the space avatar. If specified, initials will not be displayed and the color will be visible as the background color for transparent images. For best results, your image should be 64x64. Images will not be optimized by this API call, so care should be taken when using custom images.

initials string · max length: 2

One or two characters that are shown in the space avatar. By default, the initials are automatically generated from the space name.

name string · min length: 1 required

The display name for the space.

solution enum
Values: security oblt es classic

Response

200

Indicates a successful call.

Base URL
https://{kibana_url}